## ros-ros-comm 1.17.0+ds

=== test/test_rosbag_storage/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rosbag_storage)

find_package(catkin REQUIRED COMPONENTS rosbag_storage std_msgs)

find_package(Boost REQUIRED)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

  catkin_add_gtest(bag_player src/bag_player.cpp)
  if(TARGET bag_player)
    target_link_libraries(bag_player ${catkin_LIBRARIES})
  endif()
  catkin_add_gtest(create_and_iterate_bag src/create_and_iterate_bag.cpp)
  if(TARGET create_and_iterate_bag)
    target_link_libraries(create_and_iterate_bag ${catkin_LIBRARIES})
  endif()
  catkin_add_gtest(swap_bags src/swap_bags.cpp)
  if(TARGET swap_bags)
    target_link_libraries(swap_bags ${catkin_LIBRARIES})
  endif()
endif()

=== test/test_rosgraph/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rosgraph)
find_package(catkin REQUIRED COMPONENTS rostest)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/masterapi.test)
endif()

=== test/test_rostopic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rostopic)

find_package(catkin REQUIRED COMPONENTS genmsg rostest std_msgs)

if(CATKIN_ENABLE_TESTING)
  add_message_files(DIRECTORY msg
    FILES
    Arrays.msg
    ArrayVal.msg
    Embed.msg
    Floats.msg
    Simple.msg
    TVals.msg
    Val.msg
  )
  generate_messages(DEPENDENCIES std_msgs)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== utilities/xmlrpcpp/test/CMakeLists.txt ===
catkin_add_gtest(xmlrpcvalue_base64 xmlrpcvalue_base64.cpp)
if(TARGET xmlrpcvalue_base64)
  target_link_libraries(xmlrpcvalue_base64 xmlrpcpp)
endif()

catkin_add_gtest(test_base64 test_base64.cpp)
if(TARGET test_base64)
  target_link_libraries(test_base64 xmlrpcpp)
endif()

if(WIN32)
  # On Windows, gtest can be built as shared (dll) or static (lib),
  # to simplify the problem, here we require to match BUILD_SHARED_LIBS we used
  if(BUILD_SHARED_LIBS)
    set_target_properties(test_base64 PROPERTIES COMPILE_DEFINITIONS "GTEST_LINKED_AS_SHARED_LIBRARY=1")
  endif()
endif()

# Some of the tests that follow use boost threads.
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

add_library(test_fixtures test_fixtures.cpp)
target_link_libraries(test_fixtures xmlrpcpp ${Boost_LIBRARIES} ${GTEST_LIBRARIES})
set_target_properties(test_fixtures PROPERTIES EXCLUDE_FROM_ALL TRUE)

catkin_add_gtest(HelloTest HelloTest.cpp)
if(TARGET HelloTest)
  target_link_libraries(HelloTest xmlrpcpp ${Boost_LIBRARIES})
endif()

catkin_add_gtest(test_dispatch_live test_dispatch_live.cpp)
if(TARGET test_dispatch_live)
  target_link_libraries(test_dispatch_live xmlrpcpp test_fixtures ${Boost_LIBRARIES})
endif()

catkin_add_gtest(test_ulimit test_ulimit.cpp)
if(TARGET test_ulimit)
  target_link_libraries(test_ulimit xmlrpcpp test_fixtures ${Boost_LIBRARIES})
endif()

add_library(mock_socket mock_socket.cpp)
target_link_libraries(mock_socket ${GTEST_LIBRARIES})
set_target_properties(mock_socket PROPERTIES EXCLUDE_FROM_ALL TRUE)

catkin_add_gtest(test_client
  test_client.cpp
  ../src/XmlRpcClient.cpp
  ../src/XmlRpcValue.cpp
  ../src/XmlRpcUtil.cpp
  ../src/XmlRpcDispatch.cpp
  ../src/XmlRpcSource.cpp
  ../libb64/src/cdecode.c
  ../libb64/src/cencode.c
)
if(WIN32)
  # build everything from source, undefine ROS_BUILD_SHARED_LIBS to eliminate the dllimport/dllexport attributes
  set_target_properties(test_client PROPERTIES COMPILE_FLAGS -UROS_BUILD_SHARED_LIBS)
endif()

if(TARGET test_client)
  target_link_libraries(test_client mock_socket ${catkin_LIBRARIES})
  if(WIN32)
    target_link_libraries(test_client ws2_32)
  endif()
endif()

catkin_add_gtest(test_dispatch
  test_dispatch.cpp
  ../src/XmlRpcDispatch.cpp
  ../src/XmlRpcSource.cpp
  ../src/XmlRpcUtil.cpp
  ../libb64/src/cdecode.c
  ../libb64/src/cencode.c
)
if(WIN32)
  # build everything from source, undefine ROS_BUILD_SHARED_LIBS to eliminate the dllimport/dllexport attributes
  set_target_properties(test_dispatch PROPERTIES COMPILE_FLAGS -UROS_BUILD_SHARED_LIBS)
endif()

if(TARGET test_dispatch)
  target_link_libraries(test_dispatch mock_socket ${catkin_LIBRARIES})
  if(WIN32)
    target_link_libraries(test_dispatch ws2_32)
  endif()

  if(APPLE)
    set_target_properties(test_dispatch PROPERTIES
      LINK_FLAGS
      "-Wl,-alias,___wrap_poll,_poll"
    )
  elseif(UNIX)
    set_target_properties(test_dispatch PROPERTIES
      LINK_FLAGS
      "-Wl,--wrap=poll"
    )
  endif()
endif()

if(NOT WIN32)
  catkin_add_gtest(test_socket
    test_socket.cpp
    test_system_mocks.c
    ../src/XmlRpcSocket.cpp
    ../src/XmlRpcUtil.cpp
  )
  if(TARGET test_socket)
    if(APPLE)
      set_target_properties(test_socket PROPERTIES
        LINK_FLAGS
        "-Wl,-alias,___wrap_accept,_accept -Wl,-alias,___wrap_bind,_bind -Wl,-alias,___wrap_close,_close -Wl,-alias,___wrap_connect,_connect -Wl,-alias,___wrap_getaddrinfo,_getaddrinfo -Wl,-alias,___wrap_getsockname,_getsockname -Wl,-alias,___wrap_listen,_listen -Wl,-alias,___wrap_read,_read -Wl,-alias,___wrap_setsockopt,_setsockopt -Wl,-alias,___wrap_select,_select -Wl,-alias,___wrap_select,_select$1050 -Wl,-alias,___wrap_socket,_socket -Wl,-alias,___wrap_write,_write -Wl,-alias,___wrap_fcntl,_fcntl -Wl,-alias,___wrap_freeaddrinfo,_freeaddrinfo"
      )
    elseif(UNIX)
      set_target_properties(test_socket PROPERTIES
        LINK_FLAGS
        "-Wl,--wrap=accept -Wl,--wrap=bind -Wl,--wrap=close -Wl,--wrap=connect -Wl,--wrap=getaddrinfo -Wl,--wrap=getsockname -Wl,--wrap=listen -Wl,--wrap=read -Wl,--wrap=setsockopt -Wl,--wrap=select -Wl,--wrap=socket -Wl,--wrap=write -Wl,--wrap=fcntl -Wl,--wrap=freeaddrinfo"
      )
    endif()
  endif()
endif()

catkin_add_gtest(TestValues TestValues.cpp)
if(TARGET TestValues)
  target_link_libraries(TestValues xmlrpcpp)
endif()

catkin_add_gtest(test_util test_util.cpp)
if(TARGET test_util)
  target_link_libraries(test_util xmlrpcpp)
endif()

catkin_add_gtest(TestXml TestXml.cpp)
if(TARGET TestXml)
  target_link_libraries(TestXml xmlrpcpp)
endif()

=== test/test_roscpp/test/src/CMakeLists.txt ===
include_directories(${GTEST_INCLUDE_DIRS})

link_directories(${GTEST_LIBRARY_DIRS})

add_executable(${PROJECT_NAME}-handles EXCLUDE_FROM_ALL handles.cpp)
target_link_libraries(${PROJECT_NAME}-handles ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-timer_callbacks EXCLUDE_FROM_ALL timer_callbacks.cpp)
target_link_libraries(${PROJECT_NAME}-timer_callbacks ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-latching_publisher EXCLUDE_FROM_ALL latching_publisher.cpp)
target_link_libraries(${PROJECT_NAME}-latching_publisher ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-publish_n_fast EXCLUDE_FROM_ALL publish_n_fast.cpp)
target_link_libraries(${PROJECT_NAME}-publish_n_fast ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_self EXCLUDE_FROM_ALL subscribe_self.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_self ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-pub_sub EXCLUDE_FROM_ALL pub_sub.cpp)
target_link_libraries(${PROJECT_NAME}-pub_sub ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-sub_pub EXCLUDE_FROM_ALL sub_pub.cpp)
target_link_libraries(${PROJECT_NAME}-sub_pub ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-publish_empty EXCLUDE_FROM_ALL publish_empty.cpp)
target_link_libraries(${PROJECT_NAME}-publish_empty ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-publish_onsub EXCLUDE_FROM_ALL publish_onsub.cpp)
target_link_libraries(${PROJECT_NAME}-publish_onsub ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_n_fast EXCLUDE_FROM_ALL subscribe_n_fast.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_n_fast ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_empty EXCLUDE_FROM_ALL subscribe_empty.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_empty ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_resubscribe EXCLUDE_FROM_ALL subscribe_resubscribe.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_resubscribe ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_unsubscribe EXCLUDE_FROM_ALL subscribe_unsubscribe.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_unsubscribe ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-publish_unadvertise EXCLUDE_FROM_ALL publish_unadvertise.cpp)
target_link_libraries(${PROJECT_NAME}-publish_unadvertise ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_unsubscribe_repeatedly EXCLUDE_FROM_ALL subscribe_unsubscribe_repeatedly.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_unsubscribe_repeatedly ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-publish_constantly EXCLUDE_FROM_ALL publish_constantly.cpp)
target_link_libraries(${PROJECT_NAME}-publish_constantly ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-param_update_test EXCLUDE_FROM_ALL param_update_test.cpp)
target_link_libraries(${PROJECT_NAME}-param_update_test ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-real_time_test EXCLUDE_FROM_ALL real_time_test.cpp)
target_link_libraries(${PROJECT_NAME}-real_time_test ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-real_time_test ${rosgraph_msgs_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}-sim_time_test EXCLUDE_FROM_ALL sim_time_test.cpp)
target_link_libraries(${PROJECT_NAME}-sim_time_test ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-sim_time_test ${rosgraph_msgs_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}-init_no_sim_time_test EXCLUDE_FROM_ALL init_no_sim_time_test.cpp)
target_link_libraries(${PROJECT_NAME}-init_no_sim_time_test ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Call a service
add_executable(${PROJECT_NAME}-service_adv EXCLUDE_FROM_ALL service_adv.cpp)
target_link_libraries(${PROJECT_NAME}-service_adv ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_adv_unadv EXCLUDE_FROM_ALL service_adv_unadv.cpp)
target_link_libraries(${PROJECT_NAME}-service_adv_unadv ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_call EXCLUDE_FROM_ALL service_call.cpp)
target_link_libraries(${PROJECT_NAME}-service_call ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_call_zombie EXCLUDE_FROM_ALL service_call_zombie.cpp)
target_link_libraries(${PROJECT_NAME}-service_call_zombie ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_deadlock EXCLUDE_FROM_ALL service_deadlock.cpp)
target_link_libraries(${PROJECT_NAME}-service_deadlock ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-service_deadlock ${std_srvs_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}-service_call_repeatedly EXCLUDE_FROM_ALL service_call_repeatedly.cpp)
target_link_libraries(${PROJECT_NAME}-service_call_repeatedly ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_exception EXCLUDE_FROM_ALL service_exception.cpp)
target_link_libraries(${PROJECT_NAME}-service_exception ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-service_exception ${std_srvs_EXPORTED_TARGETS})

# Repeatedly call ros::init()
add_executable(${PROJECT_NAME}-multiple_init_fini EXCLUDE_FROM_ALL multiple_init_fini.cpp)
target_link_libraries(${PROJECT_NAME}-multiple_init_fini ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-missing_call_to_shutdown_impl EXCLUDE_FROM_ALL missing_call_to_shutdown_impl.cpp)
target_link_libraries(${PROJECT_NAME}-missing_call_to_shutdown_impl ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-missing_call_to_shutdown EXCLUDE_FROM_ALL missing_call_to_shutdown.cpp)
target_link_libraries(${PROJECT_NAME}-missing_call_to_shutdown ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test node inspection functionality
add_executable(${PROJECT_NAME}-inspection EXCLUDE_FROM_ALL inspection.cpp)
target_link_libraries(${PROJECT_NAME}-inspection ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test that advertising a service multiple times fails
add_executable(${PROJECT_NAME}-service_adv_multiple EXCLUDE_FROM_ALL service_adv_multiple.cpp)
target_link_libraries(${PROJECT_NAME}-service_adv_multiple ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test that the second node to advertise a service "wins"
add_executable(${PROJECT_NAME}-service_adv_a EXCLUDE_FROM_ALL service_adv_a.cpp)
target_link_libraries(${PROJECT_NAME}-service_adv_a ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_wait_a_adv_b EXCLUDE_FROM_ALL service_wait_a_adv_b.cpp)
target_link_libraries(${PROJECT_NAME}-service_wait_a_adv_b ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Zombie (node crashed) service
add_executable(${PROJECT_NAME}-service_adv_zombie EXCLUDE_FROM_ALL service_adv_zombie.cpp)
target_link_libraries(${PROJECT_NAME}-service_adv_zombie ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-service_call_expect_b EXCLUDE_FROM_ALL service_call_expect_b.cpp)
target_link_libraries(${PROJECT_NAME}-service_call_expect_b ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test command-line name remapping
add_executable(${PROJECT_NAME}-name_remapping EXCLUDE_FROM_ALL name_remapping.cpp)
target_link_libraries(${PROJECT_NAME}-name_remapping ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_executable(${PROJECT_NAME}-name_remapping_with_ns EXCLUDE_FROM_ALL name_remapping_with_ns.cpp)
target_link_libraries(${PROJECT_NAME}-name_remapping_with_ns ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test namespaces
add_executable(${PROJECT_NAME}-namespaces EXCLUDE_FROM_ALL namespaces.cpp)
target_link_libraries(${PROJECT_NAME}-namespaces ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test params
add_executable(${PROJECT_NAME}-params EXCLUDE_FROM_ALL params.cpp)
target_link_libraries(${PROJECT_NAME}-params ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test spinners
add_executable(${PROJECT_NAME}-spinners EXCLUDE_FROM_ALL spinners.cpp)
target_link_libraries(${PROJECT_NAME}-spinners ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test getting information from the master
add_executable(${PROJECT_NAME}-get_master_information EXCLUDE_FROM_ALL get_master_information.cpp)
target_link_libraries(${PROJECT_NAME}-get_master_information ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

# Test multiple subscriptions
add_executable(${PROJECT_NAME}-multiple_subscriptions EXCLUDE_FROM_ALL multiple_subscriptions.cpp)
target_link_libraries(${PROJECT_NAME}-multiple_subscriptions ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-check_master EXCLUDE_FROM_ALL check_master.cpp)
target_link_libraries(${PROJECT_NAME}-check_master ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-wait_for_message EXCLUDE_FROM_ALL wait_for_message.cpp)
target_link_libraries(${PROJECT_NAME}-wait_for_message ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-loads_of_publishers EXCLUDE_FROM_ALL loads_of_publishers.cpp)
target_link_libraries(${PROJECT_NAME}-loads_of_publishers ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-incrementing_sequence EXCLUDE_FROM_ALL incrementing_sequence.cpp)
target_link_libraries(${PROJECT_NAME}-incrementing_sequence ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscription_callback_types EXCLUDE_FROM_ALL subscription_callback_types.cpp)
target_link_libraries(${PROJECT_NAME}-subscription_callback_types ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-subscription_callback_types ${std_msgs_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}-service_callback_types EXCLUDE_FROM_ALL service_callback_types.cpp)
target_link_libraries(${PROJECT_NAME}-service_callback_types ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-intraprocess_subscriptions EXCLUDE_FROM_ALL intraprocess_subscriptions.cpp)
target_link_libraries(${PROJECT_NAME}-intraprocess_subscriptions ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-nonconst_subscriptions EXCLUDE_FROM_ALL nonconst_subscriptions.cpp)
target_link_libraries(${PROJECT_NAME}-nonconst_subscriptions ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_retry_tcp EXCLUDE_FROM_ALL subscribe_retry_tcp.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_retry_tcp ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-subscribe_star EXCLUDE_FROM_ALL subscribe_star.cpp)
target_link_libraries(${PROJECT_NAME}-subscribe_star ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-subscribe_star ${std_srvs_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}-publisher_for_star_subscriber EXCLUDE_FROM_ALL publisher_for_star_subscriber.cpp)
target_link_libraries(${PROJECT_NAME}-publisher_for_star_subscriber ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-publisher_for_star_subscriber ${std_srvs_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}-parameter_validation EXCLUDE_FROM_ALL parameter_validation.cpp)
target_link_libraries(${PROJECT_NAME}-parameter_validation ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-param_locale_avoidance_test EXCLUDE_FROM_ALL param_locale_avoidance_test.cpp)
target_link_libraries(${PROJECT_NAME}-param_locale_avoidance_test ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-crashes_under_gprof EXCLUDE_FROM_ALL crashes_under_gprof.cpp)
target_link_libraries(${PROJECT_NAME}-crashes_under_gprof ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-test_remapping EXCLUDE_FROM_ALL test_remapping.cpp)
target_link_libraries(${PROJECT_NAME}-test_remapping ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-name_not_remappable EXCLUDE_FROM_ALL name_not_remappable.cpp)
target_link_libraries(${PROJECT_NAME}-name_not_remappable ${GTEST_LIBRARIES} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}-test_ns_node_remapping EXCLUDE_FROM_ALL test_ns_node_remapping.cpp)

=== debian/changelog ===
ros-ros-comm (1.17.0+ds-2) unstable; urgency=medium

  * Migrate to dh-ros

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:12:35 +0200

ros-ros-comm (1.17.0+ds-1) unstable; urgency=medium

  * New upstream version 1.17.0+ds
  * Update patches
    - Drop 0008-Update-bind.hpp-location.patch (obsolete)
  * Wrap and sort Debian package files
  * Install new rosnode binary

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 22:43:11 +0200

ros-ros-comm (1.16.0+ds-6) unstable; urgency=medium

  * Revert wrong assert_ replaces.
    Thanks to Lucas Walter
  * Disable XmlRpcServer::enoughFreeFDs
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 20 Jun 2024 10:44:22 +0200

ros-ros-comm (1.16.0+ds-5) unstable; urgency=medium

  * Stop recommending python3-crypto (no longer used) (Closes: #1072358)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Jun 2024 16:01:16 +0200

ros-ros-comm (1.16.0+ds-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Fixes for Python 3.12 (Closes: #1066946)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Mar 2024 09:58:40 +0100

ros-ros-comm (1.16.0+ds-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062868

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:26:41 +0000

ros-ros-comm (1.16.0+ds-3) unstable; urgency=medium

  * Add assert_ to RosTest (Closes: #1056039)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Nov 2023 12:29:26 +0100

ros-ros-comm (1.16.0+ds-2) unstable; urgency=medium

  * Update header for Boost 1.83 (Closes: #1056012)
  * Add missing make dependency to autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Nov 2023 10:20:31 +0100

=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros (>= 0.14.1~),
 dh-sequence-python3,
 dpkg-dev (>= 1.22.5),
 libb64-dev,
 libboost-chrono-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libbz2-dev,
 libconsole-bridge-dev,
 libgpgme-dev,
 libgtest-dev,
 liblog4cxx-dev,
 liblz4-dev,
 libpython3-all-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libssl-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 pluginlib-dev,
 python3-all-dev:any,
 python3-defusedxml <!nocheck>,
 python3-empy,
 python3-gnupg <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-pycryptodome <!nocheck>,
 python3-rosclean <!nocheck>,
 python3-rosgraph-msgs <!nocheck>,
 python3-roslib <!nocheck>,
 python3-rosunit <!nocheck>,
 python3-std-srvs <!nocheck>,
 ros-message-generation,
 rosbuild <!nocheck>,
 roslang <!nocheck>,
 rospack-tools <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm

###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-filesystem-dev,
 libboost-system-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-msg-dev,
 libroscpp4t64 (= ${binary:Version}),
 libxmlrpcpp-dev,
 ${misc:Depends},
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: cl-topic-tools
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: LISP library for working with Robot OS topics
 This package is part of Robot OS (ROS). It contains the lisp
 interface to the tools for directing, throttling, selecting, and
 otherwise messing with ROS topics at a meta level.

Package: libmessage-filters-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-thread-dev,
 libmessage-filters1t64 (= ${binary:Version}),
 libroscpp-dev,
 ${misc:Depends},
Description: Development files for Robot OS message-filters
 This package is part of Robot OS (ROS). It contains the development
 files for libmessage-filters, which implements a set of message
 filters which take in messages and may output those messages at a
 later time, based on the conditions that filter needs being met.

Package: libmessage-filters1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmessage-filters1d
Replaces:
 libmessage-filters1d,
Breaks:
 libmessage-filters1d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for Robot OS message-filters
 This package is part of Robot OS (ROS). It implemtants a set of
 message filters which take in messages and may output those messages
 at a later time, based on the conditions that filter needs met.
 .
 This package contains the library.

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosbag-storage-dev,
 librosbag4t64 (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libstd-srvs-dev,
 libtopic-tools-dev,
 libxmlrpcpp-dev,
 ${misc:Depends},
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libbz2-dev,
 libconsole-bridge-dev,
 libgpgme-dev,
 librosbag-storage4t64 (= ${binary:Version}),
 libroslz4-dev,
 pluginlib-dev,
 ${misc:Depends},
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

#########
# Tools #
#########

Package: librosbag-storage4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: librosbag-storage4d
Replaces:
 librosbag-storage4d,
Breaks:
 librosbag-storage4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: librosbag4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: librosbag4d
Replaces:
 librosbag4d,
Breaks:
 librosbag4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libroscpp-core-dev,
 ${misc:Depends},
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: libroscpp4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libroscpp4d
Replaces:
 libroscpp4d,
Breaks:
 libroscpp4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: libroslz4-1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libroslz4-1d
Replaces:
 libroslz4-1d,
Breaks:
 libroslz4-1d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library implementing lz4 for Robot OS
 This package is part of Robot OS (ROS). This is the C++
 implementation of the LZ4 streaming format. Large data streams are
 split into blocks which are compressed using the very fast LZ4
 compression algorithm.
 .
 This package contains the library.

Package: libroslz4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblz4-dev,
 libroscpp-core-dev,
 libroslz4-1t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libroslz4
 This package is part of Robot OS (ROS). It contains the development
 files for the ROS implementation of the LZ4 streaming format. Large
 data streams are split into blocks which are compressed using the
 very fast LZ4 compression algorithm.

Package: librostest-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-system-dev,
 libboost-thread-dev,
 ${misc:Depends},
Description: Development files for rostest (Robot OS)
 This package is part of Robot OS (ROS). It contains the development
 files for the rostest framework. It's an extension that enables
 roslaunch files to be used as test fixtures. As a fully running
 system has more complex behaviors than an individual ROS node,
 this allows you to do full integration testing across multiple
 nodes. It is compatible with xUnit frameworks.

Package: libtopic-tools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libstd-msgs-dev,
 libtopic-tools2t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libtopic-tools (Robot OS)
 This package is part of Robot OS (ROS). It contains development files
 for the libtopic-tools library, which provides tools for directing,
 throttling, selecting, and otherwise messing with ROS topics at a
 meta level.
 .
 This contains the development files

Package: libtopic-tools2t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libtopic-tools2d
Replaces:
 libtopic-tools2d,
Breaks:
 libtopic-tools2d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for messing with Robot OS topics
 This package is part of Robot OS (ROS). Tools for directing,
 throttling, selecting, and otherwise messing with ROS topics at a
 meta level. None of the programs in this package actually know about
 the topics whose streams they are altering; instead, these tools deal
 with messages as generic binary blobs. This means they can be applied
 to any ROS topic.
 .
 This package contains the library.

Package: libxmlrpcpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libb64-dev,
 libroscpp-core-dev,
 libxmlrpcpp3t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for Robot OS libxmlrpcpp
 This package is part of Robot OS (ROS). It contains the development
 files for the XmlRpc++ library, which is a C++ implementation of the XML-RPC
 protocol. This version is heavily modified from the package available
 on SourceForge in order to support roscpp's threading model. As such,
 it's a maintained fork by OSRF.

Package: libxmlrpcpp3t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libxmlrpcpp3d
Replaces:
 libxmlrpcpp3d,
Breaks:
 libxmlrpcpp3d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS version of xml-rpc protocol library
 This package is part of Robot OS (ROS). It contains the XmlRpc++
 library, which is a C++ implementation of the XML-RPC protocol. This
 version is heavily modified from the package available on SourceForge
 in order to support roscpp's threading model. As such, it's a
 maintained fork by OSRF.

Package: python3-message-filters
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-rospy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library for Robot OS message-filters

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_PYTHON_EXTENSION_PACKAGES = roslz4
export ROS_CONFIGURE_ARGS = -DPYVER={python_version}
export ROS_SKIP_TESTS = rostest topic_tools
export ROS_IGNORE_TEST_RESULTS = $(if $(filter amd64,$(DEB_HOST_ARCH)),,1)
export ROS_SKIP_PACKAGES = ros_comm \
	test_rosbag test_rosbag_storage test_roscpp test_rosgraph \
	test_roslaunch test_roslib_comm test_rosmaster test_rosparam \
	test_rospy test_rosservice test_rostest test_rostopic

%:
	dh $@ --buildsystem=ros

## ros-ros-comm 1.17.4%2Bds

=== test/test_roscpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_roscpp)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS
  message_generation roscpp rostest rosunit std_srvs
)

if(CATKIN_ENABLE_TESTING)
  find_package(Boost REQUIRED COMPONENTS filesystem system)

  include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

  if(WIN32)
    add_definitions(-DNOGDI)
  endif()

  # Testing message and service files.  See comment below about subdirectory support.
  add_message_files(
    NOINSTALL
    DIRECTORY test/msg
    FILES
    TestArray.msg
    TestEmpty.msg
    TestStringInt.msg
    TestWithHeader.msg
  )
  add_service_files(
    NOINSTALL
    DIRECTORY test/srv
    FILES
    BadTestStringString.srv
    TestStringString.srv
  )

  # Serialization testing message files.
  add_message_files(
    NOINSTALL
    DIRECTORY test_serialization/msg
    FILES
    ArrayOfFixedLength.msg
    ArrayOfVariableLength.msg
    Constants.msg
    CustomHeader.msg
    EmbeddedExternal.msg
    EmbeddedFixedLength.msg
    EmbeddedVariableLength.msg
    FixedLengthArrayOfExternal.msg
    FixedLength.msg
    FixedLengthStringArray.msg
    HeaderNotFirstMember.msg
    VariableLengthArrayOfExternal.msg
    VariableLength.msg
    VariableLengthStringArray.msg
    WithDuration.msg
    WithHeader.msg
    WithMemberNamedHeaderThatIsNotAHeader.msg
    WithTime.msg
  )

  # Performance testing message files.  add_message_files() does not
  # currently support being called from a subdirectory, so this is here
  # for now.
  add_message_files(
    NOINSTALL
    DIRECTORY perf/msg
    FILES
    LatencyMessage.msg
    ThroughputMessage.msg
  )

  # Message files for testing the performance of serialization.
  add_message_files(
    NOINSTALL
    DIRECTORY perf_serialization/msg
    FILES
    ChannelFloat32.msg
    Point32.msg
    PointCloud.msg
  )

  # dependencies std_msgs and rosgraph_msgs are needed by tests, but not by roscpp otherwise.
  generate_messages(DEPENDENCIES rosgraph_msgs std_msgs)
endif()

catkin_package(
  CATKIN_DEPENDS message_runtime rosconsole rosgraph_msgs std_msgs xmlrpcpp
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
  add_subdirectory(perf)
  add_subdirectory(test_serialization)
  add_subdirectory(perf_serialization)
endif()

=== test/test_roslaunch/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_roslaunch)
find_package(catkin REQUIRED COMPONENTS rostest)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/roslaunch.test)
  add_rostest(test/env.test)
  add_rostest(test/params_basic.test)
endif()

=== test/test_rostest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_rostest)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/publishtest.test)
endif()

=== utilities/message_filters/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(message_filters)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS roscpp rosconsole)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES message_filters
  CATKIN_DEPENDS roscpp rosconsole
)
catkin_python_setup()

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/connection.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  # Ugly workaround for check_test_ran macro issue
  #add_subdirectory(test)
  find_package(catkin COMPONENTS rostest rosunit)

  include_directories(${GTEST_INCLUDE_DIRS})

  # ********** Tests **********
  catkin_add_gtest(${PROJECT_NAME}-msg_cache_unittest test/msg_cache_unittest.cpp)
  if(TARGET ${PROJECT_NAME}-msg_cache_unittest)
    target_link_libraries(${PROJECT_NAME}-msg_cache_unittest message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-time_synchronizer_unittest test/time_synchronizer_unittest.cpp)
  if(TARGET ${PROJECT_NAME}-time_synchronizer_unittest)
    target_link_libraries(${PROJECT_NAME}-time_synchronizer_unittest message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_synchronizer test/test_synchronizer.cpp)
  if(TARGET ${PROJECT_NAME}-test_synchronizer)
    target_link_libraries(${PROJECT_NAME}-test_synchronizer message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_exact_time_policy test/test_exact_time_policy.cpp)
  if(TARGET ${PROJECT_NAME}-test_exact_time_policy)
    target_link_libraries(${PROJECT_NAME}-test_exact_time_policy message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_approximate_time_policy test/test_approximate_time_policy.cpp)
  if(TARGET ${PROJECT_NAME}-test_approximate_time_policy)
    target_link_libraries(${PROJECT_NAME}-test_approximate_time_policy message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_simple test/test_simple.cpp)
  if(TARGET ${PROJECT_NAME}-test_simple)
    target_link_libraries(${PROJECT_NAME}-test_simple message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_chain test/test_chain.cpp)
  if(TARGET ${PROJECT_NAME}-test_chain)
    target_link_libraries(${PROJECT_NAME}-test_chain message_filters ${GTEST_LIBRARIES})
  endif()

  # Needs to be a rostest because it spins up a node, which blocks until it hears from the master (unfortunately)
  add_rostest_gtest(${PROJECT_NAME}-time_sequencer_unittest test/time_sequencer_unittest.xml test/time_sequencer_unittest.cpp)
  if(TARGET ${PROJECT_NAME}-time_sequencer_unittest)
    target_link_libraries(${PROJECT_NAME}-time_sequencer_unittest message_filters)
  endif()

  add_rostest_gtest(${PROJECT_NAME}-test_subscriber test/test_subscriber.xml test/test_subscriber.cpp)
  if(TARGET ${PROJECT_NAME}-test_subscriber)
    target_link_libraries(${PROJECT_NAME}-test_subscriber message_filters)
  endif()

  # Unit test of the approximate synchronizer
  catkin_add_nosetests(test/test_approxsync.py)
  catkin_add_nosetests(test/test_message_filters_cache.py)
endif()

=== test/test_roscpp/perf/CMakeLists.txt ===
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

# Can't call add_message_files() here because CMake context is lost when we leave this subdir.
# add_message_files(
#   DIRECTORY msg
#   FILES
#   LatencyMessage.msg
#   ThroughputMessage.msg
# )
# Can't call generate_messages() here, because currently can only have one instance of it per project.
# This means this file must be included before generate_messages() in the parent.

#common commands for building c++ executables and libraries
add_library(${PROJECT_NAME}_perf EXCLUDE_FROM_ALL src/intra.cpp src/inter.cpp)
add_dependencies(${PROJECT_NAME}_perf ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_perf ${Boost_LIBRARIES} ${catkin_LIBRARIES})

# These performance tests will not be built or executed automatically.
# TODO: automate them in some useful way.
add_executable(${PROJECT_NAME}-intra_suite EXCLUDE_FROM_ALL src/intra_suite.cpp)
target_link_libraries(${PROJECT_NAME}-intra_suite ${PROJECT_NAME}_perf ${catkin_LIBRARIES})

=== debian/changelog ===
ros-ros-comm (1.17.4+ds-3) unstable; urgency=medium

  * Invert ROS_SKIP_TESTS logic

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Sep 2025 15:09:27 +0200

ros-ros-comm (1.17.4+ds-2) unstable; urgency=medium

  * Work around hanging tests on armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Sep 2025 12:28:39 +0200

ros-ros-comm (1.17.4+ds-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.17.4+ds
  * Update patches.
    Obsolete: 0014-Update-header-for-Boost-1.83.patch
    Obsolete: 0015-rosgraph-update-code-from-Python-3.11.patch
    Merged: 0016-Fixes-for-Python-3.12.patch
    Merged: 0017-Disable-XmlRpcServer-enoughFreeFDs.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Fix Python SyntaxWarning (Closes: #1087065)

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 22:24:21 +0200
